> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openweathermap/forecast/hourly

> Get an extended 3-hourly weather forecast for a geographic point

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/openweathermap/forecast/hourly
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openweathermap/forecast/hourly:
    post:
      tags:
        - /openweathermap
      summary: /openweathermap/forecast/hourly
      description: |-
        Get an extended 3-hourly weather forecast for a geographic point

        **Price:** 1 credit
      operationId: __api_openweathermap_forecast_hourly_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenweathermapForecastHourlyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenweathermapForecastHourly'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenweathermapForecastHourlyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        lat:
          type: number
          maximum: 90
          minimum: -90
        lon:
          type: number
          maximum: 180
          minimum: -180
        units:
          $ref: '#/components/schemas/OpenweathermapUnits'
          default: metric
        count:
          type: integer
          maximum: 384
          minimum: 1
      type: object
      required:
        - lat
        - lon
        - count
    OpenweathermapForecastHourly:
      properties:
        '@type':
          type: string
          default: OpenweathermapForecastHourly
        city:
          anyOf:
            - $ref: '#/components/schemas/OpenweathermapCity'
            - type: 'null'
        records:
          items:
            $ref: '#/components/schemas/OpenweathermapForecastRecord'
          type: array
          default: []
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenweathermapUnits:
      type: string
      enum:
        - metric
        - imperial
        - standard
    OpenweathermapCity:
      properties:
        '@type':
          type: string
          default: OpenweathermapCity
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
        population:
          anyOf:
            - type: integer
            - type: 'null'
        timezone:
          anyOf:
            - type: integer
            - type: 'null'
        sunrise:
          anyOf:
            - type: integer
            - type: 'null'
        sunset:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    OpenweathermapForecastRecord:
      properties:
        '@type':
          type: string
          default: OpenweathermapForecastRecord
        forecast_at:
          anyOf:
            - type: integer
            - type: 'null'
        forecast_at_text:
          anyOf:
            - type: string
            - type: 'null'
        temp:
          anyOf:
            - type: number
            - type: 'null'
        feels_like:
          anyOf:
            - type: number
            - type: 'null'
        temp_min:
          anyOf:
            - type: number
            - type: 'null'
        temp_max:
          anyOf:
            - type: number
            - type: 'null'
        pressure:
          anyOf:
            - type: number
            - type: 'null'
        sea_level:
          anyOf:
            - type: number
            - type: 'null'
        grnd_level:
          anyOf:
            - type: number
            - type: 'null'
        humidity:
          anyOf:
            - type: number
            - type: 'null'
        dew_point:
          anyOf:
            - type: number
            - type: 'null'
        clouds:
          anyOf:
            - type: number
            - type: 'null'
        wind_speed:
          anyOf:
            - type: number
            - type: 'null'
        wind_deg:
          anyOf:
            - type: number
            - type: 'null'
        wind_gust:
          anyOf:
            - type: number
            - type: 'null'
        visibility:
          anyOf:
            - type: number
            - type: 'null'
        pop:
          anyOf:
            - type: number
            - type: 'null'
        part_of_day:
          anyOf:
            - type: string
            - type: 'null'
        rain_3h:
          anyOf:
            - type: number
            - type: 'null'
        snow_3h:
          anyOf:
            - type: number
            - type: 'null'
        conditions:
          items:
            $ref: '#/components/schemas/OpenweathermapCondition'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OpenweathermapCondition:
      properties:
        '@type':
          type: string
          default: OpenweathermapCondition
        id:
          anyOf:
            - type: integer
            - type: 'null'
        main:
          anyOf:
            - type: string
            - type: 'null'
        icon:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````